Subject: Re: Device Tree setup for 8272-based board

From: Scott Wood <[email-masked]>
Date: Fri, 19 Dec 2008 14:03:55 -0600

Daniel Ng wrote:
> We are migrating our PowerPC 8272-based board from 2.6.14 to 2.6.27.
> 
> One of the big changes is the need for a Device Tree for bootup.
> 
> So far, my bootup looks like the below (using u-boot).
> 
> I am just using arch/powerpc/boot/cuboot-824x.c 

cuboot-824x is for 8240, 8245, and similar chips.  You want cuboot-pq2.

> When I change the settings in mpc8272ads.dts and do a fresh recompile, the 
> settings do not change. However, if I use another cuboot*.c file, I get a 
> different set of printed settings eg. 2 ethernet ports instead of 1. This is 
> fine, but I don't see where in the cuboot*.c file these settings are 
> specified. Can someone suggest where these might be?

The cuboot file defines things like TARGET_CPM2 or TARGET_824x, which 
influences the compilation of the bd_t struct.  It's messy, which is why 
we use device trees now. :-)

-Scott